
D4Science Infrastructure - Incident #9930

Emails sent from UsersManagement portlet not formatted correctly in case of users to group

adding/removal

Oct 11, 2017 03:22 PM - Massimiliano Assante

Status: Closed Start date: Oct 11, 2017

Priority: High Due date: Oct 13, 2017

Assignee: Panagiota Koltsida % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

4.7.0

  

Infrastructure: Production   

Description

If I add a user to a group the email is not formatted well, there is some code going around and no subject is used.

See attached screenshot 

@mariaantonietta.digirolamo@eng.it how is this didn't come up during testing? Is the (users to group adding/removal) step missing

from the functional testing plan?

History

#1 - Oct 11, 2017 04:38 PM - Maria Di Girolamo

- File UsersManagementPortlet-TestingPlan.xlsx added

In the last Test Plan this step is not provided.

Here the Test Plan used.

#2 - Oct 11, 2017 04:39 PM - Maria Di Girolamo

The TestPlan is available at: https://goo.gl/YXsW7j

#3 - Oct 11, 2017 04:43 PM - Maria Di Girolamo

It's needed to update the wiki documentation too: https://wiki.gcube-system.org/gcube/Users%27_Management

#5 - Oct 16, 2017 12:47 PM - Panagiota Koltsida

- Status changed from New to Closed

- % Done changed from 0 to 100

Dedicated release ticket has been created for the bug fix

#7 - Oct 16, 2017 04:18 PM - Maria Di Girolamo

I executed the test and the email is sent correctly.

Files

Screen Shot 2017-10-11 at 15.17.40.png 157 KB Oct 11, 2017 Massimiliano Assante

UsersManagementPortlet-TestingPlan.xlsx 64.8 KB Oct 11, 2017 Maria Di Girolamo
